Skip to main content
`Ctrl`+`K`

# DSNEPGetSamplingSize

Returns the number of sampling columns used in the contour integral method.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetSamplingSize(DS ds,PetscInt *p)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameter

- p - the number of columns for the sampling matrix

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPSetSamplingSize()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPGetSamplingSize_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages